import * as server from "@minecraft/server";

server.world.beforeEvents.worldInitialize.subscribe((initEvent) => {
    initEvent.blockComponentRegistry.registerCustomComponent("num_plate:interact", {
        onPlayerInteract: (e) => {
        }
    });

    initEvent.blockComponentRegistry.registerCustomComponent("num_null:interact", {
        onPlayerInteract: (e) => {
        }
    });

    initEvent.blockComponentRegistry.registerCustomComponent("mob:interact", {
        onPlayerInteract: (e) => {
        }
    });

    initEvent.blockComponentRegistry.registerCustomComponent("search:interact", {
        onPlayerInteract: (e) => {
        }
    });
});